<?
		require_once("lib/nusoap.php");
		 
		//Create a new soap server
		$server = new soap_server();
		 
		//Define our namespace
		$namespace = "http://localhost/nusoap/WebServiceServer.php";
		$server->wsdl->schemaTargetNamespace = $namespace;
		 
		//Configure our WSDL
		$server->configureWSDL("HelloWorld");
		 
		//Register our method and argument parameters
        $varname = array(
                   'strName' => "xsd:string",
				   'strEmail' => "xsd:string"
        );
		
		// Register service and method
		$server->register('HelloWorld',$varname, array('return' => 'tns:ArrayOfString'));
		
		//Add ComplexType with Array
		$server->wsdl->addComplexType("ArrayOfString", 
						 "complexType", 
						 "array", 
						 "", 
						 "SOAP-ENC:Array", 
						 array(), 
						 array(array("ref"=>"SOAP-ENC:arrayType","wsdl:arrayType"=>"xsd:string[]")), 
						 "xsd:string");  
		 
		function HelloWorld($strName,$strEmail)
		{
			$arr[1] = $strName;
			$arr[2] = $strEmail;
			return $arr;
		}
		 
		// Get our posted data if the service is being consumed
		// otherwise leave this data blank.
		$POST_DATA = isset($GLOBALS['HTTP_RAW_POST_DATA']) ? $GLOBALS['HTTP_RAW_POST_DATA'] : '';
		 
		// pass our posted data (or nothing) to the soap service
		$server->service($POST_DATA);
		exit(); 
?>